get
https://api.kombo.dev/v1/hris/employees
Retrieve all employees.
Not interested in most fields? You can use our our Scopes feature to customize what data points will synced.
{
"status": "success",
"data": {
"next": "eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=",
"results": [
{
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "32",
"employee_number": "3243422",
"first_name": "John",
"last_name": "Doe",
"display_full_name": "John Doe",
"job_title": "Integrations Team Lead",
"work_email": "[email protected]",
"personal_email": "[email protected]",
"mobile_phone_number": "801-555-4687",
"ssn": "555-32-6395",
"tax_id": "12 345 678 901",
"gender": "MALE",
"ethnicity": "BLACK_AFRICAN_AMERICAN",
"marital_status": "MARRIED",
"employment_status": "INACTIVE",
"employment_type": "FULL_TIME",
"avatar": "https://resources.bamboohr.com/images/photo_person_150x150.png",
"work_location_id": "7E2gyuv6TmvtByzBxW9Sxt53",
"manager_id": "9pf2pxBB8VX8EQMC9aipW2Bo",
"home_address": {
"city": "Berlin",
"country": "DE",
"raw": "Sonnenallee 63\n12045 Berlin\nGermany",
"state": "Berlin",
"street_1": "Sonnenallee 63",
"street_2": null,
"zip_code": "12045"
},
"bank_accounts": [
{
"account_number": "1234567890",
"bank_name": "Commerzbank",
"bic": "COBADEFFXXX",
"holder_name": "John Doe",
"iban": "DE12345678901234567890"
}
],
"date_of_birth": "1986-01-01T00:00:00.000Z",
"start_date": "2020-04-07T00:00:00.000Z",
"termination_date": "2022-05-20T00:00:00.000Z",
"remote_created_at": "2020-04-07T12:32:01.000Z",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"custom_fields": {},
"employments": [
{
"id": "12vpXR7BeqYNWDShXRgsonnm",
"remote_id": "859",
"employee_id": "8Xk99QfVKYA6vfEafEUBdEPJ",
"job_title": "Social Media Marketer",
"pay_rate": 85000,
"pay_period": "YEAR",
"pay_frequency": "SEMIMONTHLY",
"pay_currency": "EUR",
"effective_date": "2021-01-30T00:00:00.000Z",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null
}
],
"time_off_balances": [
{
"id": "FuyRuk5NqP3qTcThED3ymTuE",
"remote_id": "124123",
"employee_id": "2Up4ZCvq1bFVzmzXG6EWzV3j",
"type_id": "BQJaBxRCiqN46G27VTegvkEr",
"balance": 14,
"balance_unit": "DAYS",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"used": 3,
"used_unit": "DAYS"
}
],
"manager": {
"first_name": "John",
"last_name": "Doe",
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"work_email": "[email protected]",
"remote_id": "32"
},
"groups": [
{
"id": "4B9bKBpX5tnwjiG93TAqF7ci",
"remote_id": "49",
"name": "Customer Success",
"type": "TEAM"
}
],
"teams": [
{
"id": "4B9bKBpX5tnwjiG93TAqF7ci",
"remote_id": "49",
"name": "Customer Success",
"type": "TEAM"
}
],
"work_location": {
"id": "22st2Ji8XpncEYEak8mvQgQF",
"remote_id": "1348",
"name": "Kombo HQ",
"address": {
"city": "Berlin",
"country": "DE",
"raw": "Sonnenallee 63\n12045 Berlin, Berlin\nGermany",
"state": "Berlin",
"street_1": "Sonnenallee 63",
"street_2": null,
"zip_code": "12045"
},
"type": "OFFICE",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": "2022-08-07T14:01:29.196Z"
}
}
]
}
}